<div *ngIf='!corsIssues else cors' class="miam-basket-preview-block">
  <ng-container *ngIf="(posService.isPosValid() | async) else noPos">
    <h3 *ngIf="!recipeId" class="miam-basket-preview-block__header">
      <div class="miam-basket-preview-block__header__title">
        <ng-miam-icon primaryColor="var(--m-color-primary)" class="grip" [width]="32" [height]="32"
              [iconName]="icon.RecipeBook"></ng-miam-icon>
        <span (click)="toggleLines()" class="miam-basket-preview-block__header__text">{{ blockTitle }}</span>
      </div>
      <div class="miam-basket-preview-block__header__actions">
        <button *ngIf="showLines" class="m-button-secondary miam-basket-preview-block__header__empty-basket" (click)="listsService.removeRecipesFromList()">
          <ng-miam-icon  [iconName]="icon.Trash" primaryColor="var(--m-color-secondary)"></ng-miam-icon>
          <span>Retirer tous les repas</span>
        </button>
        <div class="miam-basket-preview-block__header__chevron" [ngClass]="{'miam-basket-preview-block__chevron__down':!showLines}" (click)="toggleLines()">
          <ng-miam-icon height='32' width='32'  [iconName]="icon.ChevronDown"></ng-miam-icon>
        </div>
      </div>
    </h3>
  
    <div class="miam-basket-preview-block__lines" *ngIf="showLines">
      <ng-miam-basket-preview-line
        *ngFor="let line of lines"
        [line]="line"
        [blockStates]="blockStates"
        [uniqueLine]="recipeId"
        (removed)="removeRecipe($event)"
        (countChanged)="updateRecipe($event)"
      ></ng-miam-basket-preview-line>
      <div class='miam-basket-preview-block__lines__overlay' (click)='closeOverlay()' *ngIf="blockStates?.value?.overlayOpen"></div>
  
      <div *ngIf="!loading && (!lines || lines.length === 0)" class="miam-basket-preview-block__lines__not-found">
        <p><b>Vous n'avez pas encore sélectionné de repas.</b></p>
        <p *ngIf="showNotice">Naviguez vers la page d'une recette, puis cliquez sur "Commander les ingrédients".</p>
      </div>
    </div>
  
    <div class="miam-basket-preview-block__lines__loader" *ngIf="loading">
      <ng-miam-loader></ng-miam-loader>
      <div>Chargement des repas...</div>
    </div>
  </ng-container>
</div>
<ng-template #cors>
<ng-miam-cors-overlay></ng-miam-cors-overlay>
</ng-template>
<ng-template #noPos>
  <div class="miam-basket-preview-block__noPos">
    <span>Désolé, ce magasin ne permet pas de sélectionner des repas.</span> 
    <br>
    <span>Veuillez sélectionner un autre magasin</span>
  </div>
</ng-template>
